Patch tasks
curl --request PATCH \
--url https://api.yume.cloud/v1/todo/tasks/{task_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"type": 123,
"assignee": 123,
"due_at": "2023-11-07T05:31:56Z",
"remind_at": "2023-11-07T05:31:56Z",
"extra": "<unknown>",
"links": [
{
"content_type": "<string>",
"object_id": 2,
"role": "secondary"
}
],
"comment": "<string>"
}
'import requests
url = "https://api.yume.cloud/v1/todo/tasks/{task_id}/"
payload = {
"title": "<string>",
"description": "<string>",
"type": 123,
"assignee": 123,
"due_at": "2023-11-07T05:31:56Z",
"remind_at": "2023-11-07T05:31:56Z",
"extra": "<unknown>",
"links": [
{
"content_type": "<string>",
"object_id": 2,
"role": "secondary"
}
],
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
type: 123,
assignee: 123,
due_at: '2023-11-07T05:31:56Z',
remind_at: '2023-11-07T05:31:56Z',
extra: '<unknown>',
links: [{content_type: '<string>', object_id: 2, role: 'secondary'}],
comment: '<string>'
})
};
fetch('https://api.yume.cloud/v1/todo/tasks/{task_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"result": "<string>",
"author": 123,
"finished_at": "2023-11-07T05:31:56Z",
"reminded_at": "2023-11-07T05:31:56Z",
"overdue_notified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"type": 123,
"status": "open",
"priority": 1,
"assignee": 123,
"due_at": "2023-11-07T05:31:56Z",
"remind_at": "2023-11-07T05:31:56Z",
"extra": "<unknown>",
"links": [
{
"content_type": "<string>",
"object_id": 2,
"role": "secondary"
}
]
}tasks
Patch tasks
PATCH
/
v1
/
todo
/
tasks
/
{task_id}
/
Patch tasks
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255open- Открытоin_progress- В работеdone- Выполненоcancelled- Отменено
Доступные опции:
open, in_progress, done, cancelled 1- Низкий2- Средний3- Высокий4- Срочный
Доступные опции:
1, 2, 3, 4 Требуемый диапазон:
0 <= x <= 32767Show child attributes
Show child attributes
Ответ
200 - application/json
Maximum string length:
255open- Открытоin_progress- В работеdone- Выполненоcancelled- Отменено
Доступные опции:
open, in_progress, done, cancelled 1- Низкий2- Средний3- Высокий4- Срочный
Доступные опции:
1, 2, 3, 4 Требуемый диапазон:
0 <= x <= 32767Show child attributes
Show child attributes